<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    ini_set('default_charset','UTF-8');
    include("../seguranca_adm.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    $id = isset($_POST["id"]) ? $_POST["id"]: '';
    $busca_=$pdo_sgt->prepare("SELECT * FROM tb_equipamentos WHERE id=:id");
    $busca_->bindValue(":id",$id);
    $busca_->execute();
    $dados_=$busca_->fetch(PDO::FETCH_ASSOC);
    $_UP['pasta'] = '../up_n_eqp/';
    $_UP['tamanho'] = 5242880;
    $_UP['extensoes'] = array('pdf');
    $_UP['renomeia'] = false;
    $_UP['erros'][0] = 'Não houve erro';
    $_UP['erros'][1] = 'O arquivo no upload é maior do que o limite do PHP';
    $_UP['erros'][2] = 'O arquivo ultrapassa o limite de tamanho especifiado no HTML';
    $_UP['erros'][3] = 'O upload do arquivo foi feito parcialmente';
    $_UP['erros'][4] = 'Não foi feito o upload do arquivo';
    $pdf_nome = $_FILES['arquivo']['name'];
    $pdf_separador = explode('.',$pdf_nome);
    $extensao = strtolower(end($pdf_separador));
    if (array_search($extensao, $_UP['extensoes']) === false) {
        echo"<script language='javascript' type='text/javascript'>
            alert('Por favor, envie arquivo com a seguinte extensão: pdf!');
            window.history.go(-1)>Volta;
        </script>";
    } else {
        if ($_UP['tamanho'] < $_FILES['arquivo']['size']) {
            echo"<script language='javascript' type='text/javascript'>
                alert('O arquivo enviado é muito grande, envie arquivos de até 5MB!');
                window.history.go(-1)>Volta;
            </script>";
        } else {
            $fim = 0;
            $nome_final = $dados_['cod_e'].'.pdf';
            $del = '../'.$dados_['f_url'];
            if ($dados_['f_url'] != "" ){
                if (!unlink($del)){}  
            }
            if (move_uploaded_file($_FILES['arquivo']['tmp_name'], $_UP['pasta'] . $nome_final)) {
                $f_url = 'up_n_eqp/'.$nome_final;
                $fim = $fim + 1;
                $atualizar=$pdo_sgt->prepare("UPDATE tb_equipamentos SET f_url=:f_url WHERE id=:id");
                $atualizar->bindValue(":f_url",$f_url);
                $atualizar->bindValue(":id",$id);
                $atualizar->execute();
                $mensagem = "Alterou o arquivo: $nome_final.";
                salvaLog($mensagem);
            }
            if ($fim != 0) {
                echo"<script language='javascript' type='text/javascript'>
                    window.location.href='list_eqp.php';
                </script>";
            }
            else{
                echo"<script language='javascript' type='text/javascript'>
                    alert('Não foi possível enviar o arquivo, tente novamente!');
                    window.history.go(-1)>Volta;
                </script>";
            }
        }
    }
?>